New adobe flash player for Linux

Yesterday, Adobe Labs released their “Preview 1” of a new flashplayer browser plugin they have been developing. As you may know, the previous test version of a Linux version of their plugin was withdrawn because it was riddled with security holes, performance issues and suffered from a bad codebase.

The newly developed code seems to be cross-platform since there are preview releases of this Flash Player ‘Square’ to be downloaded for Windows and Mac OS as well.

See http://labs.adobe.com/technologies/flashplayer10/ for the announcement and downloadables.

So far, I am pleased with the performance and feature-set of this new plugin. Other people report that this plugin finally supports Hulu, which is a US-only video broadcast service so I can not test it from here.

I have created Slackware packages for the new flashplayer (32-bit as well as 64-bit), you can grab those at http://slackware.com/~alien/slackbuilds/flashplayer-plugin/ . These pacakges install the plugin into the generic mozilla plugins directory so that all mozilla-based browsers will be able to use it.

Eric

18 thoughts on “New adobe flash player for Linux


  1. Pingback: Adobe releases 64bit flash update for Linux

  2. Thanks Bob. Speed is much improved over the old R45 version.
    p.s. after looking at all the chatter on this being a “beta” release I keep wondering… what do they think the other x64 release was…….. 😉


  3. Pingback: So you want to be a Slacker! What do I do next? - Page 10

  4. Pingback: So you want to be a GNU/Linux Newbie! What do I do next?

  5. Hey Alien Bob,

    Thanks much for this! I have it up and running fine. I tried it on Hulu and it works great, except for full screen – it gets a slightly “jumpy”, but still watchable.

    Later on,
    Scott






  6. Pingback: virada para o Slackware 14.0 x64 Desktop com KDE @ Linux 2 Start

  7. It’s not working for me. If I go to Adobe to test it looks just fine. If I go to http://www.ctvnews.ca/video, I get “To watch video, you need an Adobe Flash Player Update.Please click to download.” I get the same thing on others. Firefox as well as Chromium. -Slackware 14.1 64 bit. flashplayer-plugin-11.2.202.521-x86_64-1alien

    Thanks for all you do. I been using Slackware for decades.




  8. HAL? That was removed from Slackware a long time ago. I do not know what Hulu is but it is quite probable that it needs something else (not HAL) to make it work.


  9. Hulu is similar to Netflix; it does need HAL (it gives an error message saying HAL is needed and links here).

    Hulu unfortunately doesn’t support HTML5 (yet).




Leave a Reply to Geremia Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.